<?php

namespace Clevercherry\Backslash4\Models;

class Client extends Model
{
    use scopeActive;


    /**
     * Override bs4\Model as clients do not have blocks
     */
    public function hasBlocks()
    {
        return false;
    }

    /**
    * return an array widget info
    * @return Array of widget info for display on the admin dashboard
    */
    public static function getDashboardWidgets()
    {
        $widgets=[];

        // $widgets[]=['type'=>'bs-dashboard-widget.info',
        //             'heading'=>"No. of Clients",
        //             'text'=> 'Active '.self::active()->count('id').'<br>'
        //                     .'All '.self::count('id'),
        //           ];
        return $widgets;
    }

}